<?xml version="1.0" encoding="utf-8" ?>
<toolkit:Popup 	xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
				xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
				xmlns:toolkit="http://schemas.microsoft.com/dotnet/2022/maui/toolkit"
				x:Class="KieselsteinErp.Terminal.Popups.DeliveryIdentityAmountEntryPopup"
				xmlns:controls="clr-namespace:KieselsteinErp.Terminal.Controls"
				xmlns:localization="clr-namespace:LocalizationResourceManager.Maui;assembly=LocalizationResourceManager.Maui"
				CanBeDismissedByTappingOutsideOfPopup="False"
                Color="Transparent"
				Size="800,500">

  <Border Style="{StaticResource PopupFrame}" VerticalOptions="Fill">
    <Grid ColumnDefinitions="*" RowDefinitions="Auto, *">
      <Border Style="{StaticResource PopupTitle}" Grid.Row="0" Padding="5" >
        <Label Style="{StaticResource PopupTitleLabel}" Grid.Row="0" Text="{Binding Title}" VerticalOptions="Center" HorizontalOptions="Center"/>
      </Border>
      <Grid Grid.Row="1" RowDefinitions="Auto, *, Auto" ColumnDefinitions="*" Padding="5" RowSpacing="5" >
        <Grid RowDefinitions="Auto,Auto" ColumnDefinitions="*,Auto" Grid.Row="0" ColumnSpacing="10" Padding="5" RowSpacing="5" >
          <controls:TouchEntry x:Name="IdentityEntry"  Grid.Column="0" Grid.Row="0"
								  Placeholder="{localization:Translate EnterIdentity}" ClearButtonVisibility="WhileEditing"
								  Keyboard="Text" />
          <controls:NumericEntry x:Name="AmountEntry"  Grid.Column="0" Grid.Row="1"
								  Placeholder="{localization:Translate EnterAmount}" HorizontalTextAlignment="Start"
								  DecimalPlaces="3" MinValue="0" />
          <Button x:Name="AddButton" Grid.Column="1" Grid.Row="0" WidthRequest="45" Padding="0"
								  Text="+" Clicked="OnAddButtonClicked"/>
        </Grid>
        <ListView x:Name="SerialnrList" Grid.Row="1">
          <ListView.ItemTemplate>
            <DataTemplate>
              <ViewCell>
                <Grid RowDefinitions="*" ColumnDefinitions="0.5*,*, Auto" Padding="5">
                  <Label Grid.Column="0" Text="{Binding amount, StringFormat='{0:F3}'}" VerticalOptions="Center"/>
                  <Label Grid.Column="1" Text="{Binding identity}" VerticalOptions="Center"/>
                  <Button Grid.Column="2" Padding="0" Text="X" VerticalOptions="Center" WidthRequest="45"
								  Clicked="OnRemoveButtonClicked" CommandParameter="{Binding .}" />
                </Grid>
              </ViewCell>
            </DataTemplate>
          </ListView.ItemTemplate>
        </ListView>
        <Grid Grid.Row="2" RowDefinitions="Auto,Auto,10,Auto" ColumnDefinitions="*,10,*" Padding="5">
          <Grid Grid.Row="1" x:Name="CheckboxGrid" Padding ="15" RowDefinitions="Auto,Auto" ColumnDefinitions="Auto,Auto" >
            <!--<Label Grid.Row="0" Grid.Column="0" Text="{localization:Translate EnterDefectAmount}" VerticalOptions="Center" />
            <controls:NumericEntry x:Name="BadAmountEntry" Grid.Row="0" Grid.Column="1" MinimumWidthRequest="100" HorizontalOptions="FillAndExpand"
							Placeholder="0" DecimalPlaces="0" MinValue="0" />-->

            <Label Grid.Row="1" Grid.Column="0" x:Name="CheckboxLabel" Text="{localization:Translate PrintLabel}" VerticalOptions="Center"/>
            <Switch Grid.Row="1" Grid.Column="1" x:Name="Checkbox" IsToggled="False"  />
          </Grid>
          <Button Grid.Row="3" Grid.Column="0" x:Name="OkButton" Clicked="OkButtonClicked"
								  Text="{localization:Translate Ok}" />
          <Button Grid.Row="3" Grid.Column="2" x:Name="CancelButton" Clicked="CancelButtonClicked"
								  Text="{localization:Translate Cancel}" />
        </Grid>
      </Grid>
    </Grid>
  </Border>
</toolkit:Popup>